MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031394Open CASCADE[OCCT] OCCT:Visualizationpublic2020-02-25 13:582020-02-29 19:05
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 7.5.0*Fixed in Version 
Summary0031394: Visualization, TKOpenGl - define OpenGl_Element::EstimatedDataSize() interface
DescriptionCurrent implementation of OpenGl_FrameStats treats OpenGl_PrimitiveArray specifically to calculate Graphic3d_FrameStatsCounter_EstimatedBytesGeom counter.

It is desired making a common interface OpenGl_Element::EstimatedDataSize() to allow custom elements providing this information in reliable way.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029346closedbugmaster Visualization, TKOpenGl - collect frame statistics 

-  Notes
(0090669)
git (administrator)
2020-02-25 14:00

Branch CR31394 has been created by kgv.

SHA-1: b75b7b61a03f13aca6570feeaf57cb0904427bf4


Detailed log of new commits:

Author: kgv
Date: Tue Feb 25 14:00:31 2020 +0300

    0031394: Visualization, TKOpenGl - define OpenGl_Element::EstimatedDataSize() interface
    
    OpenGl_FrameStats::updateStructures() now relies on OpenGl_Element inteface
    instead of handling OpenGl_PrimitiveArray specifically
    for collecting Graphic3d_FrameStatsCounter_EstimatedBytesGeom counter.
    OpenGl_PrimitiveArray and OpenGl_Text implement new interface.

Author: kgv
Date: Sat Feb 1 00:50:04 2020 +0300

    0031341: Visualization - Graphic3d_Layer::UpdateCulling() ignores Presentation range
    
    Graphic3d_Layer::UpdateCulling() now takes into account BVH_Tree::EndPrimitive().
    'vstatprofiler structs' now properly prints number of structures in case of no culling.
(0090672)
git (administrator)
2020-02-25 14:31

Branch CR31394 has been updated forcibly by kgv.

SHA-1: 02516f42622f0b73e5de3ae0d3ea0a502c2be4b3
(0090677)
kgv (developer)
2020-02-25 16:48

Patch is ready for review.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31394-CR31394-KGV/ [^]
(0090682)
osa (developer)
2020-02-26 10:46

The patch was reviewed without remarks
(0090733)
bugmaster (administrator)
2020-02-29 12:50

Combination -
OCCT branch : IR-2020-02-28
master SHA - ae87bb87d01660bc27090beabc1e7ea92ba1bb85
fe4497f3246e6bc1ced97ac331c148f0809ded15
Products branch : IR-2020-02-28 SHA - a8fed678f48fe34786623f45d3ed7ec70c4845cc
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17017.45000000009 / 17018.03000000002 [-0.00%]
Products
Total CPU difference: 12539.800000000105 / 12533.37000000014 [+0.05%]
Windows-64-VC14:
OCCT
Total CPU difference: 18449.890625 / 18398.15625 [+0.28%]
Products
Total CPU difference: 14533.015625 / 14483.234375 [+0.34%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0090742)
git (administrator)
2020-02-29 13:39

Branch CR31394 has been deleted by inv.

SHA-1: 02516f42622f0b73e5de3ae0d3ea0a502c2be4b3

- Related Changesets
occt: master 3d60d73f
Timestamp: 2020-02-25 11:00:31
Author: kgv
Committer: bugmaster
Details ] Diff ]
0031394: Visualization, TKOpenGl - define OpenGl_Element::EstimatedDataSize() interface

OpenGl_FrameStats::updateStructures() now relies on OpenGl_Element inteface
instead of handling OpenGl_PrimitiveArray specifically
for collecting Graphic3d_FrameStatsCounter_EstimatedBytesGeom counter.
OpenGl_PrimitiveArray and OpenGl_Text implement new interface.
mod - src/OpenGl/OpenGl_Element.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_FrameStats.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_PrimitiveArray.hxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.cxx Diff ] File ]
mod - src/OpenGl/OpenGl_Text.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-02-25 13:58 kgv New Issue
2020-02-25 13:58 kgv Assigned To => kgv
2020-02-25 14:00 git Note Added: 0090669
2020-02-25 14:31 git Note Added: 0090672
2020-02-25 15:01 kgv Relationship added child of 0029346
2020-02-25 16:48 kgv Note Added: 0090677
2020-02-25 16:48 kgv Assigned To kgv => osa
2020-02-25 16:48 kgv Status new => resolved
2020-02-26 10:46 osa Note Added: 0090682
2020-02-26 10:46 osa Assigned To osa => bugmaster
2020-02-26 10:46 osa Status resolved => reviewed
2020-02-29 12:50 bugmaster Note Added: 0090733
2020-02-29 12:50 bugmaster Status reviewed => tested
2020-02-29 12:50 bugmaster Test case number => Not required
2020-02-29 13:19 bugmaster Changeset attached => occt master 3d60d73f
2020-02-29 13:19 bugmaster Status tested => verified
2020-02-29 13:19 bugmaster Resolution open => fixed
2020-02-29 13:39 git Note Added: 0090742


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker